<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)" d="M9 10.5C9.82843 10.5 10.5 9.82843 10.5 9V3C10.5 2.17157 9.82843 1.5 9 1.5C8.17157 1.5 7.5 2.17157 7.5 3V7.5H3C2.17157 7.5 1.5 8.17157 1.5 9C1.5 9.82843 2.17157 10.5 3 10.5H9Z"/>
      <path fill="var(--icon-color)" d="M15 13.5C14.1716 13.5 13.5 14.1716 13.5 15V21C13.5 21.8284 14.1716 22.5 15 22.5C15.8284 22.5 16.5 21.8284 16.5 21V16.5H21C21.8284 16.5 22.5 15.8284 22.5 15C22.5 14.1716 21.8284 13.5 21 13.5H15Z"/>
      <path fill="var(--icon-color)" d="M13.5 9C13.5 9.82843 14.1716 10.5 15 10.5H21C21.8284 10.5 22.5 9.82843 22.5 9C22.5 8.17157 21.8284 7.5 21 7.5H16.5V3C16.5 2.17157 15.8284 1.5 15 1.5C14.1716 1.5 13.5 2.17157 13.5 3V9Z"/>
      <path fill="var(--icon-color)" d="M9 13.5C9.82843 13.5 10.5 14.1716 10.5 15V21C10.5 21.8284 9.82843 22.5 9 22.5C8.17157 22.5 7.5 21.8284 7.5 21V16.5H3C2.17157 16.5 1.5 15.8284 1.5 15C1.5 14.1716 2.17157 13.5 3 13.5H9Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconCompress'
  }
</script>
